收藏
回答

第一次见:Cannot read property '_unprepared'

框架类型 问题类型 操作系统 工具版本
小程序 Bug Windows 1.02.1903211

- 当前 Bug 的表现(可附上截图)


- 预期表现


- 复现路径


- 提供一个最简复现 Demo


thirdScriptError 

 sdk uncaught third Error 

 Cannot read property '_unprepared' of undefined 

 TypeError: Cannot read property '_unprepared' of undefined

    at Function.c.prepare (http://127.0.0.1:36493/appservice/__dev__/WAService.js:14:15086)


测试版开发工具1.02.1903211

昨天使用测试版还没有问题的

这是什么意思?

我没有使用这个变量啊

回答关注问题邀请回答
收藏

5 个回答

  • 小程序技术专员-june
    小程序技术专员-june
    2020-04-07

    跟基础库版本有关,工具将版本调到 2.10.3 以上应该就不会有这个报错。kbone 中也加了针对低版本基础库这块的保护逻辑,更新到 miniprogram-element@1.2.3 即可。

    2020-04-07
    有用
    回复 3
    • Mr. Vital
      Mr. Vital
      2020-11-09
      企业微信中基础库版本最高就2.10.1,这个要怎么处理
      2020-11-09
      回复
    • 小程序技术专员-june
      小程序技术专员-june
      2020-11-12回复Mr. Vital
      强依赖基础库版本的特性,只能等基础库升级了。不然只能降级兼容,kbone 现在在低版本基础库不会报错,但是有些特性可能无法用到。
      2020-11-12
      回复
    • 你好,明天
      你好,明天
      01-26
      我也遇到了,我是在小程序上正常的,但是在企业微信上,模拟器就会出这个“TypeError: Cannot read property '_unprepared' of undefined”错误,我的模拟器基础库也是最高版本的2.10.1
      01-26
      回复
  • LoveL1ver³⁷ 吴智极
    LoveL1ver³⁷ 吴智极
    星期一 11:42

    还没升级基础库吗

    星期一 11:42
    有用
    回复
  • dogger
    dogger
    2019-07-08

    导致这个问题主要有两种情况


    1. 开发工具本身的问题,和楼上说的差不多 先把微信开发者工具降级到1902010版本,


    2.  当前项目下面的project.config.json和app.json文件和之前的不稳定版本冲突导致的

    所以这时候需要使用1902010版本的工具重新创建一个工程 并把里面的project.config.json粘贴到您出问题的项目中,并把当前项目中的app.json中的一些不兼容的一些属性删除即可

    2019-07-08
    有用
    回复
  • 吴奕群
    吴奕群
    2019-03-24

    用稳定版的开发工具

    2019-03-24
    有用
    回复
  • 铭锋科技
    铭锋科技
    2019-03-23

    换回稳定版1902010

    2019-03-23
    有用
    回复
登录 后发表内容